from functools import reduce
from typing import List


def JSON_from_folder(root_dir: str) -> List[dict]:
    """ Creates jsTree JSON from file path

    From a given path, returns a JSON of its subfolders and files, ready as input for jsTree

    :param root_dir: path of the folder
    :return: a dictionary of folder content
    """
    import os
    import settings

    d = {}
    settings.debug and print("root dir:" , root_dir)
    root_dir = root_dir.rstrip(os.sep)
    start = root_dir.rfind(os.sep) + 1
    for path, dirs, files in os.walk(root_dir):
        folders = path[start:].split(os.sep)
        subdir = dict.fromkeys(files)
        parent = reduce(dict.get, folders[:-1], d)
        parent[folders[-1]] = subdir
    ff = settings.fileFolderName.get(settings.deploy)
    settings.debug and print("d",d)
    settings.debug and print("ff",ff)
    return DictToJsTree(d[ff])


def DictToJsTree(dic : dict) -> List[dict]:
    """ converts a dictionary in the expected output for JSTree:

    documentation: https://www.jstree.com/docs/json/

    :param dic: a dictionary folder walk produced by JSON_from_folder()
    :return: a well formatted list
    """

    output = []
    for k, v in dic.items():
        if type(v) != dict:
            output.append({'text': str(k)})
        else:
            output.append({"text": str(k), "children": DictToJsTree(v)})
    return output
