import os

# deploy type ["local", "VUO", "K8S"]
deploy = "local"

# paths
fileFolderPath = {"local": os.getenv('H5NUVOLA_PATH', "/home/andrealorenzon/projects/h5nuvola2/"),
                  "VUO": "/",
                  "K8S": os.getenv('H5NUVOLA_PATH', "./"),
                  "rafec": os.getenv('H5NUVOLA_PATH', "/")}

fileFolderName = {"local": "hdf5_test_files",
                  "VUO": "",
                  "K8S": "data",
                  "rafec": "/"}

fileFolder = {}
for k in fileFolderPath.keys():
    fileFolder[k] = fileFolderPath[k] + fileFolderName[k] + "/"

# server settings
host = {"local": "localhost",
        "VUO": "users-nuvola-dev.elettra.eu",
        "K8S": "0.0.0.0",
        "rafec": "localhost"}
port = 5001
debug = True

# customize JStree icons (from fontawesome icons)
closedFolderIcon = "fa fa-folder"
datasetIcon = "fa fa-table"
hdf5Icon = "fa fa-folder"
metadataIcon = "fa fa-file-alt"
h5nuvolaLogoIcon = "static/logo/h5nuvola_logo_91_80px_30dpi.png"

# customize plots, choose from https://docs.bokeh.org/en/latest/docs/reference/palettes.html#large-palettes

plotPalette_1D = "Viridis256"
plotPalette_3D = "Viridis256"
maxPointInHexPlot = 10000  # max n. of point for 2d series hexplot (beamPlot)
