import unittest


class test_extraction(unittest.TestCase):

    def test_h5Iterator(self):
        from modules.h5ceric import extract_dataset
        import numpy as np
        import settings

        ds = extract_dataset(settings.fileFolder, "test.h5", "/entry/mr_scan/mr")
        arr = np.array(ds)
        ds1 = extract_dataset(settings.fileFolder,
                              "folder1/simulated_images_02.h5",
                              "/simulated_images/dataset_017")
        arr1 = np.array(ds1)

        self.assertEqual(str(type(ds)), "<class 'numpy.ndarray'>")
        self.assertEqual(str(type(ds1)), "<class 'numpy.ndarray'>")
        self.assertEqual(arr.shape, (1000, 1000))
        self.assertEqual(arr1.shape, (2, 600, 600))


class test_plotting(unittest.TestCase):
    def test_plot(self):
        from modules.h5ceric import extract_dataset, plot_dispatcher
        import settings
        from bokeh.plotting import output_file
        output_file("templates/testunit.html")

        ds = extract_dataset(settings.fileFolder, "test.h5", "/entry/mr_scan/mr")
        p = plot_dispatcher(ds, "/entry/mr_scan/mr")
        self.assertEqual(str(type(ds)), "<class 'numpy.ndarray'>")
        self.assertEqual(str(type(p)), "<class 'bokeh.plotting.figure.Figure'>")


# test missing file case
class test_Assertions(unittest.TestCase):
    def test_filenoutfound(self):
        from modules.h5ceric import extract_dataset
        import settings
        with self.assertRaises(OSError) as context:
            extract_dataset(settings.fileFolder, "sbaskjhdlaksjd", "")
        self.assertTrue("Unable to open file" in str(context.exception))


if __name__ == '__main__':
    unittest.main()
